//
//  SongBlogDM.swift
//  WOKA
//
//  Created by MacBook Pro on 10/06/24.
//

import Foundation

// MARK: - SongBlogDM
struct SongBlogDM: Codable {
    let paintData: [PaintDatum]?
    let totalRecords: Int?

    enum CodingKeys: String, CodingKey {
        case paintData = "paint_data"
        case totalRecords = "total_records"
    }
    
    // MARK: - PaintDatum
    struct PaintDatum: Codable {
        let id: Int?
        let title: String?
        let description: String?
        let thumbnailImage: String?
        let categoryMasterID, ageRangeMasterID, tagsKeyword: String?
        let releaseDate: String?
        let songDuration: String?
        let languageMasterID: Int?
        let genderMasterID: String?
        let contentMoreDetails: [ContentMoreDetail]?
//        let categoryData, ageRangeData, genderData: [JSONAny]?
        let markAsFavourite, isLiked: Bool?
        let likesCount, bookmarkCount: Int?

        enum CodingKeys: String, CodingKey {
            case id, title, description
            case thumbnailImage = "thumbnail_image"
            case categoryMasterID = "category_master_id"
            case ageRangeMasterID = "age_range_master_id"
            case tagsKeyword = "tags_keyword"
            case releaseDate = "release_date"
            case songDuration = "song_duration"
            case languageMasterID = "language_master_id"
            case genderMasterID = "gender_master_id"
            case contentMoreDetails = "content_more_details"
//            case categoryData = "category_data"
//            case ageRangeData = "age_range_data"
//            case genderData = "gender_data"
            case markAsFavourite = "mark_as_favourite"
            case isLiked = "is_liked"
            case likesCount = "likes_count"
            case bookmarkCount = "bookmark_count"
        }
    }

    // MARK: - ContentMoreDetail
    struct ContentMoreDetail: Codable {
        let id, contentID, postType, languageMasterID: Int?
        let title: String?
        let description: String?
        let tagsKeywords: String?
        let url: String?

        enum CodingKeys: String, CodingKey {
            case id
            case contentID = "content_id"
            case postType = "post_type"
            case languageMasterID = "language_master_id"
            case title, description
            case tagsKeywords = "tags_keywords"
            case url
        }
    }
}
